## org.eclipse.ocl.utilities
Interface UtilitiesPackage

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EPackage, Notifier

All Known Implementing Classes:
  UtilitiesPackageImpl

    public interface UtilitiesPackage

extends EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `UtilitiesFactory`

Nested Class Summary
`static interface` `UtilitiesPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Field Summary
`static int` `AST_NODE` The meta object id for the '`AST Node`' class
`static int` `AST_NODE__END_POSITION` The feature id for the 'End Position' attribute
`static int` `AST_NODE__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `AST_NODE_FEATURE_COUNT` The number of structural features of the 'AST Node' class
`static int` `CALLING_AST_NODE` The meta object id for the '`Calling AST Node`' class
`static int` `CALLING_AST_NODE__END_POSITION` The feature id for the 'End Position' attribute
`static int` `CALLING_AST_NODE__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` `CALLING_AST_NODE__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` `CALLING_AST_NODE__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `CALLING_AST_NODE_FEATURE_COUNT` The number of structural features of the 'Calling AST Node' class
`static UtilitiesPackage` `eINSTANCE` The singleton instance of the package
`static String` `eNAME` The package name
`static String` `eNS_PREFIX` The package namespace name
`static String` `eNS_URI` The package namespace URI
`static int` `EXPRESSION_IN_OCL` The meta object id for the '`Expression In OCL`' class
`static int` `EXPRESSION_IN_OCL__BODY_EXPRESSION` The feature id for the 'Body Expression' containment reference
`static int` `EXPRESSION_IN_OCL__CONTEXT_VARIABLE` The feature id for the 'Context Variable' containment reference
`static int` `EXPRESSION_IN_OCL__PARAMETER_VARIABLE` The feature id for the 'Parameter Variable' containment reference list
`static int` `EXPRESSION_IN_OCL__RESULT_VARIABLE` The feature id for the 'Result Variable' containment reference
`static int` `EXPRESSION_IN_OCL_FEATURE_COUNT` The number of structural features of the 'Expression In OCL' class
`static int` `PREDEFINED_TYPE` The meta object id for the '`Predefined Type`' class
`static int` `PREDEFINED_TYPE_FEATURE_COUNT` The number of structural features of the 'Predefined Type' class
`static int` `TYPED_AST_NODE` The meta object id for the '`Typed AST Node`' class
`static int` `TYPED_AST_NODE__END_POSITION` The feature id for the 'End Position' attribute
`static int` `TYPED_AST_NODE__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `TYPED_AST_NODE__TYPE_END_POSITION` The feature id for the 'Type End Position' attribute
`static int` `TYPED_AST_NODE__TYPE_START_POSITION` The feature id for the 'Type Start Position' attribute
`static int` `TYPED_AST_NODE_FEATURE_COUNT` The number of structural features of the 'Typed AST Node' class
`static int` `TYPED_ELEMENT` The meta object id for the '`Typed Element`' class
`static int` `TYPED_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Typed Element' class
`static int` `VISITABLE` The meta object id for the '`Visitable`' class
`static int` `VISITABLE_FEATURE_COUNT` The number of structural features of the 'Visitable' class
`static int` `VISITOR` The meta object id for the '`Visitor`' class
`static int` `VISITOR_FEATURE_COUNT` The number of structural features of the 'Visitor' class

Method Summary
`EAttribute` `getASTNode_EndPosition()` Returns the meta object for the attribute '`End Position`'
`EAttribute` `getASTNode_StartPosition()` Returns the meta object for the attribute '`Start Position`'
`EClass` `getASTNode()` Returns the meta object for class '`AST Node`'
`EAttribute` `getCallingASTNode_PropertyEndPosition()` Returns the meta object for the attribute '`Property End Position`'
`EAttribute` `getCallingASTNode_PropertyStartPosition()` Returns the meta object for the attribute '`Property Start Position`'
`EClass` `getCallingASTNode()` Returns the meta object for class '`Calling AST Node`'
`EReference` `getExpressionInOCL_BodyExpression()` Returns the meta object for the containment reference '`Body Expression`'
`EReference` `getExpressionInOCL_ContextVariable()` Returns the meta object for the containment reference '`Context Variable`'
`EReference` `getExpressionInOCL_ParameterVariable()` Returns the meta object for the containment reference list '`Parameter Variable`'
`EReference` `getExpressionInOCL_ResultVariable()` Returns the meta object for the containment reference '`Result Variable`'
`EClass` `getExpressionInOCL()` Returns the meta object for class '`Expression In OCL`'
`EClass` `getPredefinedType()` Returns the meta object for class '`Predefined Type`'
`EAttribute` `getTypedASTNode_TypeEndPosition()` Returns the meta object for the attribute '`Type End Position`'
`EAttribute` `getTypedASTNode_TypeStartPosition()` Returns the meta object for the attribute '`Type Start Position`'
`EClass` `getTypedASTNode()` Returns the meta object for class '`Typed AST Node`'
`EClass` `getTypedElement()` Returns the meta object for class '`Typed Element`'
`UtilitiesFactory` `getUtilitiesFactory()` Returns the factory that creates the instances of the model
`EClass` `getVisitable()` Returns the meta object for class '`Visitable`'
`EClass` `getVisitor()` Returns the meta object for class '`Visitor`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final UtilitiesPackage eINSTANCE

  The singleton instance of the package.

### AST_NODE

    static final int AST_NODE

  The meta object id for the '`AST Node`' class.

  See Also:
    `ASTNode`, `UtilitiesPackageImpl.getASTNode()`, Constant Field Values

### AST_NODE__START_POSITION

    static final int AST_NODE__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### AST_NODE__END_POSITION

    static final int AST_NODE__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### AST_NODE_FEATURE_COUNT

    static final int AST_NODE_FEATURE_COUNT

  The number of structural features of the 'AST Node' class.

  See Also:
    Constant Field Values

### CALLING_AST_NODE

    static final int CALLING_AST_NODE

  The meta object id for the '`Calling AST Node`' class.

  See Also:
    `CallingASTNode`, `UtilitiesPackageImpl.getCallingASTNode()`, Constant Field Values

### CALLING_AST_NODE__START_POSITION

    static final int CALLING_AST_NODE__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### CALLING_AST_NODE__END_POSITION

    static final int CALLING_AST_NODE__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### CALLING_AST_NODE__PROPERTY_START_POSITION

    static final int CALLING_AST_NODE__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

  See Also:
    Constant Field Values

### CALLING_AST_NODE__PROPERTY_END_POSITION

    static final int CALLING_AST_NODE__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

  See Also:
    Constant Field Values

### CALLING_AST_NODE_FEATURE_COUNT

    static final int CALLING_AST_NODE_FEATURE_COUNT

  The number of structural features of the 'Calling AST Node' class.

  See Also:
    Constant Field Values

### PREDEFINED_TYPE

    static final int PREDEFINED_TYPE

  The meta object id for the '`Predefined Type`' class.

  See Also:
    `PredefinedType`, `UtilitiesPackageImpl.getPredefinedType()`, Constant Field Values

### TYPED_AST_NODE

    static final int TYPED_AST_NODE

  The meta object id for the '`Typed AST Node`' class.

  See Also:
    `TypedASTNode`, `UtilitiesPackageImpl.getTypedASTNode()`, Constant Field Values

### TYPED_AST_NODE__START_POSITION

    static final int TYPED_AST_NODE__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### TYPED_AST_NODE__END_POSITION

    static final int TYPED_AST_NODE__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### TYPED_AST_NODE__TYPE_START_POSITION

    static final int TYPED_AST_NODE__TYPE_START_POSITION

  The feature id for the 'Type Start Position' attribute.

  See Also:
    Constant Field Values

### TYPED_AST_NODE__TYPE_END_POSITION

    static final int TYPED_AST_NODE__TYPE_END_POSITION

  The feature id for the 'Type End Position' attribute.

  See Also:
    Constant Field Values

### TYPED_AST_NODE_FEATURE_COUNT

    static final int TYPED_AST_NODE_FEATURE_COUNT

  The number of structural features of the 'Typed AST Node' class.

  See Also:
    Constant Field Values

### VISITABLE

    static final int VISITABLE

  The meta object id for the '`Visitable`' class.

  See Also:
    `Visitable`, `UtilitiesPackageImpl.getVisitable()`, Constant Field Values

### VISITABLE_FEATURE_COUNT

    static final int VISITABLE_FEATURE_COUNT

  The number of structural features of the 'Visitable' class.

  See Also:
    Constant Field Values

### TYPED_ELEMENT

    static final int TYPED_ELEMENT

  The meta object id for the '`Typed Element`' class.

  See Also:
    `TypedElement`, `UtilitiesPackageImpl.getTypedElement()`, Constant Field Values

### VISITOR

    static final int VISITOR

  The meta object id for the '`Visitor`' class.

  See Also:
    `Visitor`, `UtilitiesPackageImpl.getVisitor()`, Constant Field Values

### VISITOR_FEATURE_COUNT

    static final int VISITOR_FEATURE_COUNT

  The number of structural features of the 'Visitor' class.

  See Also:
    Constant Field Values

### TYPED_ELEMENT_FEATURE_COUNT

    static final int TYPED_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'Typed Element' class.

  See Also:
    Constant Field Values

### EXPRESSION_IN_OCL

    static final int EXPRESSION_IN_OCL

  The meta object id for the '`Expression In OCL`' class.

  See Also:
    `ExpressionInOCL`, `UtilitiesPackageImpl.getExpressionInOCL()`, Constant Field Values

### EXPRESSION_IN_OCL__BODY_EXPRESSION

    static final int EXPRESSION_IN_OCL__BODY_EXPRESSION

  The feature id for the 'Body Expression' containment reference.

  See Also:
    Constant Field Values

### EXPRESSION_IN_OCL__CONTEXT_VARIABLE

    static final int EXPRESSION_IN_OCL__CONTEXT_VARIABLE

  The feature id for the 'Context Variable' containment reference.

  See Also:
    Constant Field Values

### EXPRESSION_IN_OCL__RESULT_VARIABLE

    static final int EXPRESSION_IN_OCL__RESULT_VARIABLE

  The feature id for the 'Result Variable' containment reference.

  See Also:
    Constant Field Values

### EXPRESSION_IN_OCL__PARAMETER_VARIABLE

    static final int EXPRESSION_IN_OCL__PARAMETER_VARIABLE

  The feature id for the 'Parameter Variable' containment reference list.

  See Also:
    Constant Field Values

### EXPRESSION_IN_OCL_FEATURE_COUNT

    static final int EXPRESSION_IN_OCL_FEATURE_COUNT

  The number of structural features of the 'Expression In OCL' class.

  See Also:
    Constant Field Values

### PREDEFINED_TYPE_FEATURE_COUNT

    static final int PREDEFINED_TYPE_FEATURE_COUNT

  The number of structural features of the 'Predefined Type' class.

  See Also:
    Constant Field Values

Method Detail

### getASTNode

    EClass getASTNode()

  Returns the meta object for class '`AST Node`'.

  Returns:
    the meta object for class 'AST Node'.
  See Also:
    `ASTNode`

### getASTNode_StartPosition

    EAttribute getASTNode_StartPosition()

  Returns the meta object for the attribute '`Start Position`'.

  Returns:
    the meta object for the attribute 'Start Position'.
  See Also:
    `ASTNode.getStartPosition()`, `getASTNode()`

### getASTNode_EndPosition

    EAttribute getASTNode_EndPosition()

  Returns the meta object for the attribute '`End Position`'.

  Returns:
    the meta object for the attribute 'End Position'.
  See Also:
    `ASTNode.getEndPosition()`, `getASTNode()`

### getCallingASTNode

    EClass getCallingASTNode()

  Returns the meta object for class '`Calling AST Node`'.

  Returns:
    the meta object for class 'Calling AST Node'.
  See Also:
    `CallingASTNode`

### getCallingASTNode_PropertyStartPosition

    EAttribute getCallingASTNode_PropertyStartPosition()

  Returns the meta object for the attribute '`Property Start Position`'.

  Returns:
    the meta object for the attribute 'Property Start Position'.
  See Also:
    `CallingASTNode.getPropertyStartPosition()`, `getCallingASTNode()`

### getCallingASTNode_PropertyEndPosition

    EAttribute getCallingASTNode_PropertyEndPosition()

  Returns the meta object for the attribute '`Property End Position`'.

  Returns:
    the meta object for the attribute 'Property End Position'.
  See Also:
    `CallingASTNode.getPropertyEndPosition()`, `getCallingASTNode()`

### getPredefinedType

    EClass getPredefinedType()

  Returns the meta object for class '`Predefined Type`'.

  Returns:
    the meta object for class 'Predefined Type'.
  See Also:
    `PredefinedType`

### getTypedASTNode

    EClass getTypedASTNode()

  Returns the meta object for class '`Typed AST Node`'.

  Returns:
    the meta object for class 'Typed AST Node'.
  See Also:
    `TypedASTNode`

### getTypedASTNode_TypeStartPosition

    EAttribute getTypedASTNode_TypeStartPosition()

  Returns the meta object for the attribute '`Type Start Position`'.

  Returns:
    the meta object for the attribute 'Type Start Position'.
  See Also:
    `TypedASTNode.getTypeStartPosition()`, `getTypedASTNode()`

### getTypedASTNode_TypeEndPosition

    EAttribute getTypedASTNode_TypeEndPosition()

  Returns the meta object for the attribute '`Type End Position`'.

  Returns:
    the meta object for the attribute 'Type End Position'.
  See Also:
    `TypedASTNode.getTypeEndPosition()`, `getTypedASTNode()`

### getVisitable

    EClass getVisitable()

  Returns the meta object for class '`Visitable`'.

  Returns:
    the meta object for class 'Visitable'.
  See Also:
    `Visitable`

### getTypedElement

    EClass getTypedElement()

  Returns the meta object for class '`Typed Element`'.

  Returns:
    the meta object for class 'Typed Element'.
  See Also:
    `TypedElement`

### getVisitor

    EClass getVisitor()

  Returns the meta object for class '`Visitor`'.

  Returns:
    the meta object for class 'Visitor'.
  See Also:
    `Visitor`

### getExpressionInOCL

    EClass getExpressionInOCL()

  Returns the meta object for class '`Expression In OCL`'.

  Returns:
    the meta object for class 'Expression In OCL'.
  See Also:
    `ExpressionInOCL`

### getExpressionInOCL_BodyExpression

    EReference getExpressionInOCL_BodyExpression()

  Returns the meta object for the containment reference '`Body Expression`'.

  Returns:
    the meta object for the containment reference 'Body Expression'.
  See Also:
    `ExpressionInOCL.getBodyExpression()`, `getExpressionInOCL()`

### getExpressionInOCL_ContextVariable

    EReference getExpressionInOCL_ContextVariable()

  Returns the meta object for the containment reference '`Context Variable`'.

  Returns:
    the meta object for the containment reference 'Context Variable'.
  See Also:
    `ExpressionInOCL.getContextVariable()`, `getExpressionInOCL()`

### getExpressionInOCL_ResultVariable

    EReference getExpressionInOCL_ResultVariable()

  Returns the meta object for the containment reference '`Result Variable`'.

  Returns:
    the meta object for the containment reference 'Result Variable'.
  See Also:
    `ExpressionInOCL.getResultVariable()`, `getExpressionInOCL()`

### getExpressionInOCL_ParameterVariable

    EReference getExpressionInOCL_ParameterVariable()

  Returns the meta object for the containment reference list '`Parameter Variable`'.

  Returns:
    the meta object for the containment reference list 'Parameter Variable'.
  See Also:
    `ExpressionInOCL.getParameterVariable()`, `getExpressionInOCL()`

### getUtilitiesFactory

    UtilitiesFactory getUtilitiesFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.